function pmamovie

cm = cmap;
for n=250:255
   cm(n, :)=[0.8 0.7 0.8];
end

colormap(cm);

for WL = 750:5:900,
   onepic(WL);
end
for WL = 910:10:1500,
   onepic(WL);
end
for WL = 1520:20:2000,
   onepic(WL);
end
for WL = 2050:50:3000,
   onepic(WL);
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function onepic(WL)

fname=sprintf('film%04d',WL)
apmarb(WL);
eval(['print' ' -dbmp16m -zbuffer ' fname])

return;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function apmarb(l)

global angle;

angle = linspace(0.01,89.99,37);

color = ((l-800)*255 + (1400-l))/(1400-800);
if color < 1
   color=1; 
end
if color > 240
   color=240; 
end

l = l*1e-9;

[nmax1, nmin1] = narb(l);
[nmax2, nmin2] = narb(l/2);

surf(angle, angle, nmax1,255*ones(size(nmax1)));
hold on;
surf(angle, angle, nmin2,round(color)*ones(size(nmin2)));
caxis([0 255]);
axis([0 90 0 90 1.74 1.93]);

hx = xlabel('\Phi [deg]');
hy = ylabel('\Theta [deg]');
hz = zlabel('Refractive Index');

set(gca, 'FontUnits', 'normalized', 'FontSize', 0.045);
set(hx, 'FontUnits', 'normalized', 'FontSize', 0.05);
set(hy, 'FontUnits', 'normalized', 'FontSize', 0.05);
set(hz, 'FontUnits', 'normalized', 'FontSize', 0.05);

wltext = sprintf('Fundamental Wavelength: %4d nm', round(l*1e9));
ht = text (0, 90, 2, wltext);
set(ht, 'FontUnits', 'normalized', 'FontSize', 0.05);

hold off;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function cm = cmap

colors = [...
        0,    0,   0,  96;...
       48,    0,   0, 255;...
       96,    0, 255, 255;...
      128,    0, 255,   0;...
      160,  255, 255,   0;...
      207,  255,   0,   0;...
      255,   32,   0,   0];

for n = 1:255
   cindex = 1;
   while n > colors(cindex, 1)
      cindex = cindex+1;
   end
   upp = colors(cindex, 1);
   low = colors(cindex-1, 1);
   uc = colors(cindex, 2:4)/255;
   lc = colors(cindex-1, 2:4)/255;
   cm(n, 1:3) = (uc*(n-low)+lc*(upp-n))/(upp-low);
end
